org.icefaces.ace.component.dialog

## Enum DialogBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<DialogBase.PropertyKeys>
  - - org.icefaces.ace.component.dialog.DialogBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DialogBase.PropertyKeys>
  Enclosing class:
    DialogBase

      protected static enum DialogBase.PropertyKeys
      extends java.lang.Enum<DialogBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `closable`
    `closeOnEscape`
    `dialogPosition`
    `draggable`
    `header`
    `height`
    `hideEffect`
    `minHeight`
    `minWidth`
    `modal`
    `onHide`
    `onShow`
    `position`
    `relativePosition`
    `relativeTo`
    `resizable`
    `setFocus`
    `showEffect`
    `showHeader`
    `styleClass`
    `visible`
    `widgetVar`
    `width`
    `zindex`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static DialogBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DialogBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### closable

          public static final DialogBase.PropertyKeys closable

    - #### closeOnEscape

          public static final DialogBase.PropertyKeys closeOnEscape

    - #### dialogPosition

          public static final DialogBase.PropertyKeys dialogPosition

    - #### draggable

          public static final DialogBase.PropertyKeys draggable

    - #### header

          public static final DialogBase.PropertyKeys header

    - #### height

          public static final DialogBase.PropertyKeys height

    - #### hideEffect

          public static final DialogBase.PropertyKeys hideEffect

    - #### minHeight

          public static final DialogBase.PropertyKeys minHeight

    - #### minWidth

          public static final DialogBase.PropertyKeys minWidth

    - #### modal

          public static final DialogBase.PropertyKeys modal

    - #### onHide

          public static final DialogBase.PropertyKeys onHide

    - #### onShow

          public static final DialogBase.PropertyKeys onShow

    - #### position

          public static final DialogBase.PropertyKeys position

    - #### relativePosition

          public static final DialogBase.PropertyKeys relativePosition

    - #### relativeTo

          public static final DialogBase.PropertyKeys relativeTo

    - #### resizable

          public static final DialogBase.PropertyKeys resizable

    - #### setFocus

          public static final DialogBase.PropertyKeys setFocus

    - #### showEffect

          public static final DialogBase.PropertyKeys showEffect

    - #### showHeader

          public static final DialogBase.PropertyKeys showHeader

    - #### styleClass

          public static final DialogBase.PropertyKeys styleClass

    - #### visible

          public static final DialogBase.PropertyKeys visible

    - #### widgetVar

          public static final DialogBase.PropertyKeys widgetVar

    - #### width

          public static final DialogBase.PropertyKeys width

    - #### zindex

          public static final DialogBase.PropertyKeys zindex

  - ### Method Detail

    - #### values

          public static DialogBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DialogBase.PropertyKeys c : DialogBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DialogBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DialogBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.